FolderGridModel (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.shared

## Class FolderGridModel

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - org.gcube.portlets.user.messages.shared.FileModel
    - - org.gcube.portlets.user.messages.shared.FileGridModel
      - - org.gcube.portlets.user.messages.shared.FolderGridModel

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ModelData, com.google.gwt.user.client.rpc.IsSerializable, Serializable

      public class FolderGridModel
      extends FileGridModel

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.gcube.portlets.user.messages.shared.FileModel

      `STATUS, test`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FolderGridModel()`
    `` | `FolderGridModel(String identifier, String name, Date creationDate, FileModel parent, long size, boolean isDirectory)`
    `` | `FolderGridModel(String identifier, String name, String path, Date creationDate, FileModel parent, long size, boolean isDirectory)`

  - ### Method Summary

    - ### Methods inherited from class org.gcube.portlets.user.messages.shared.FileGridModel

      `equals, getCreationDate, getSize`

    - ### Methods inherited from class org.gcube.portlets.user.messages.shared.FileModel

      `getAbstractPrototypeIcon, getGXTFolderItemType, getGXTFolderItemTypeToString, getIcon, getIdentifier, getName, getParentFileModel, getShortcutCategory, getStatus, getType, isDirectory, isShared, setFolderItemType, setIcon, setIdentifier, setParentFileModel, setShared, setShortcutCategory, setStatus, setType`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, getProperties, getPropertyNames, isAllowNestedValues, remove, set, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FolderGridModel

          protected FolderGridModel()

    - #### FolderGridModel

          public FolderGridModel(String identifier,
                         String name,
                         String path,
                         Date creationDate,
                         FileModel parent,
                         long size,
                         boolean isDirectory)

    - #### FolderGridModel

          public FolderGridModel(String identifier,
                         String name,
                         Date creationDate,
                         FileModel parent,
                         long size,
                         boolean isDirectory)

Copyright © 2014. All Rights Reserved.